function Lines = import_lines_length(filename, dataLines)
%IMPORTFILE Import data from a text file
%  LINES = IMPORTFILE(FILENAME) reads data from text file FILENAME for
%  the default selection.  Returns the numeric data.
%
%  LINES = IMPORTFILE(FILE, DATALINES) reads data for the specified row
%  interval(s) of text file FILENAME. Specify DATALINES as a positive
%  scalar integer or a N-by-2 array of positive scalar integers for
%  dis-contiguous row intervals.
%
%  Example:
%  Lines = import_lines_length("/home/lglroman/Dropbox/SATIE/PSCC2024/codes/opf/PSO/ELVTF/European_LV_CSV/Lines.csv", [3, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 28-Jul-2023 13:31:01

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [3, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 7);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["Var1", "Var2", "Var3", "Var4", "VarName5", "Var6", "Var7"];
opts.SelectedVariableNames = "VarName5";
opts.VariableTypes = ["string", "string", "string", "string", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["Var1", "Var2", "Var3", "Var4", "Var6", "Var7"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var1", "Var2", "Var3", "Var4", "Var6", "Var7"], "EmptyFieldRule", "auto");

% Import the data
Lines = readtable(filename, opts);

%% Convert to output type
Lines = table2array(Lines);
end